header {
    position: fixed;
    top: 0;
    left: 0;
    width:100%;
    background-image: url("Images/headerBackground.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    padding: 15px;
    text-align: center;
    z-index: 1000;
    color: white;
    transition: background-color 0.3s ease;
    background-position: center;
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background-color: transparent;
    color: white;
}

.navbar .logo a {
    font-size: 24px;
    color: #8f8e8d;
    text-decoration: none;
    font-weight: bold;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

.nav-links li {
    margin: 0;
    margin-left: 10px;
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: 600;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: yellow;
    text-shadow: 0 0 5px black, 0 0 10px black, 0 0 15px black;
}

.headerSection {
    padding: 100px 20px;
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
    z-index: 1;
    position: relative;
}

.headerSection h1 {
    font-size: 36px;
    margin-bottom: 10px;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.headerSection h2 {
    font-size: 22px;
    font-weight: 300;
    letter-spacing: 1px;
    margin-top: 0;
    font-style: italic;
}

.Hub-Location {
    color: #f4a261;
    font-weight: bold;
}

.Hub-Location:hover {
    color: #e76f51;
}

.hamburger-menu {
    display: none;
    font-size: 30px;
    cursor: pointer;
    color: white;
}

body.menu-open {
    position: fixed;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}
.nav-links.active {
    margin-top: 35px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 10px;
    padding: 10px;
    z-index: 1005;
    margin-left:-20px;
}
.navLogo{
    margin-left:0 px;
    margin-top: 0px;
    margin-bottom: 0px;
    padding: 0px;
    width: 175px;
    height: 40px;
}

@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: black;
        position: absolute;
        top: 60px;
        left: 0;
    }

    .hamburger-menu {
        display: block;
    }

    .nav-links.active {
        display: flex;
        align-items: center;
    }
}
